Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Pango::AttrColor Class Reference

A PangoAttrColor C++ wrapper class. More...

`#include <xfc/pango/attributes.hh>`

Inheritance diagram for Xfc::Pango::AttrColor:

List of all members.

## Public Member Functions

Accessors

- PangoAttrColor * pango_attr_color () const
    Get a pointer to the PangoAttrColor structure.
- Color color () const
    Gets the attibute color.

Methods

- void set_color (const Color &color)
    Sets the red, green and blue values for the color.

## Protected Member Functions

Constructors

- AttrColor (PangoAttribute *attr, bool copy)
    Construct a new color attribute from an existing color PangoAttribute.

## Detailed Description

A PangoAttrColor C++ wrapper class.

AttrColor is the base class for the foreground and background color attributes.

## Constructor & Destructor Documentation

Xfc::Pango::AttrColor::AttrColor | ( | PangoAttribute * | attr,
|  | bool | copy
| ) | `[explicit, protected]`

Construct a new color attribute from an existing color PangoAttribute.

Parameters:

  | attr | An color PangoAttribute.
  | copy | Set true if a copy of attr should be used.

If copy is true attr is copied. If false attr is assumed to be a valid color attribute that must be freed. Either way AttrColor will own the PangoAttribute and free it when it's no longer required.

## Member Function Documentation

Color Xfc::Pango::AttrColor::color | ( |  | ) | const

Gets the attibute color.

Returns:
  A Pango::Color.

void Xfc::Pango::AttrColor::set_color | ( | const Color & | color | ) |

Sets the red, green and blue values for the color.

Parameters:

  | color | A Pango::Color.

The documentation for this class was generated from the following file:

- attributes.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3